BankTransfer
How to use Bank Transfer to submit a payout in Vietnam.
Last updated
{
"code": 200,
"msg": "success",
"time": 1628580845,
"data": {
"id": "TS202108100734054iRiUZFPXfQM",
"custom_code": "custom_code9982674851738108",
"arrival_amount": "20000.00",
"arrival_currency": "VND",
"source_amount": "20000.00",
"source_currency": "VND",
"status": "IN_PROCESSING"
}
}{
"code": 4001020,
"msg": "order already existed",
"time": 1628580940,
"data": {}
}{
"code": 4004003,
"msg": "permission denied",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001003,
"msg": "fee not configured",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001102,
"msg": "balance insufficient",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001000,
"msg": "system error",
"time": 1637224716,
"data": {
... ...
}
}curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
* "name" : "LE ******** ANa",
* "bank_code": "TPBVVNVX",
* "account": "00******001",
* "source_currency": "USD",
* "arrival_currency": "VND", // fixed value: VND
* "fee_bear": "merchant", // should be one of merchant, beneficiary
* "method": "BANKTRANSFER", // fixed value: BANKTRANSFER
* "amount": "20000.00",
* "notify_url": "https://notify.url",
* "custom_code" : "custom_code9982674851738108",
* "additional_remark": "pagsmile payout test remark",
* "country": "VNM" // fixed value: VNM
}
'